<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	exclude-result-prefixes="xsl xhtml xalan"
	xmlns="http://www.w3.org/1999/xhtml"
	xmlns:xhtml="http://www.w3.org/1999/xhtml"
	xmlns:xalan="http://xml.apache.org/xalan">

	<xsl:output method="xml" indent="yes"
		doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"
		doctype-public="-//W3C//DTD XHTML 1.0 Strict//EN"
		media-type="text/html" encoding="UTF-8"
		omit-xml-declaration="yes" xml:lang="fr" xml:space="preserve" />

	<!-- FICHIERS INCLUDE UTILISEES   -->
	<xsl:template name="user-description">
	<!-- Melange de template nommé ou pas -->
		<h2><xsl:call-template name="tCommunGestionLibelle"><xsl:with-param name="pIdent" select="'libDescription'"/><xsl:with-param name="idDoc" select="'programDescription'"/></xsl:call-template></h2>
		
		<!-- Presentation Résume de la formation -->
		<!-- <xsl:call-template name="tResumeFormation"/> -->
		
		<h3><xsl:call-template name="tCommunGestionLibelle"><xsl:with-param name="pIdent" select="'libResumeFormation'"/><xsl:with-param name="idDoc" select="'programResume'"/></xsl:call-template></h3>
		<ul>
			<xsl:if test="vBoolEstUnComposantProgramme">
				<li>
					<xsl:call-template name="tCommunGestionLibelle"><xsl:with-param name="pIdent" select="'libNature'"/><xsl:with-param name="idDoc" select="'programDescription/@nature'"/></xsl:call-template>
					<xsl:call-template name="tProgramProgramDescriptionNature"/>
				</li>
			</xsl:if>
				<xsl:call-template name="tProgramQualificationCredits"/>
			<!--
			vBoolEstUneMention=<xsl:value-of select="$vBoolEstUneMention"/><br/>
			vBoolEstUneSpecialite=<xsl:value-of select="$vBoolEstUneSpecialite"/><br/>
			vBoolEstUnProgramme=<xsl:value-of select="$vBoolEstUnProgramme"/><br/>
			vBoolEstUnComposantProgramme=<xsl:value-of select="$vBoolEstUnComposantProgramme"/><br/>
			vBoolEstUneAnnee=<xsl:value-of select="$vBoolEstUneAnnee"/><br/>
			vBoolEstUnSemestre=<xsl:value-of select="$vBoolEstUnSemestre"/><br/>
			vBoolEstUnEnseignement=<xsl:value-of select="$vBoolEstUnEnseignement"/><br/>
			vBoolEstUneUE=<xsl:value-of select="$vBoolEstUneUE"/><br/>
			vBoolEstUneEC=<xsl:value-of select="$vBoolEstUneEC"/><br/>
			-->
			<xsl:if test="not($vBoolEstUneMention='true')">
					<xsl:call-template name="tProgramProgramDuration"/>
			</xsl:if>
			<li>
				<xsl:call-template name="tCommunGestionLibelle"><xsl:with-param name="pIdent" select="'libCodeInterneFormation'"/></xsl:call-template>
				<xsl:call-template name="tProgramProgramID"/>
			</li>
			<!-- A DEPLACER --><!--<xsl:if test="key('objet',$idP)/targetGroup[@blockLang=$_lang or not(@blockLang)]">--> <!-- A DEPLACER -->
			<xsl:if test="not(vBoolEstUnProgramme)">
				<xsl:call-template name="tProgramTargetGroup"/>
			</xsl:if>

				
				<xsl:call-template name="tProgramTeachingPlace"/>
	
			<!-- Cursus Mention -->
			<xsl:call-template name="tProgramLevelLevel"/>
			<!-- langue du programme -->
			<xsl:call-template name="tProgramPpalTeachingLanguage"/>
		</ul>

		<!-- Niveau du diplome -->
		<xsl:call-template name="tProgramLevel"/><xsl:text> </xsl:text><xsl:call-template name="tProgramLevelCode"/>
		
		<!-- Presentation Description de la formation -->
		<xsl:call-template name="tProgramProgramDescription"/>
		<!-- Presentation Description de l'organisation pédagogique -->
		<xsl:call-template name="tProgramProgramStructure"/>
		<!-- Schéma de l'organisation de la mention -->
		<xsl:call-template name="tProgramProgramIntroduction"/>
		<!-- Presentation Description des prérequis recommandés -->
		<xsl:call-template name="tProgramRecommendedPrerequisites"/>
		<!-- Presentation Description des competences et savoir enseignes -->
		<xsl:call-template name="tProgramLearningObjectives"/>
		<!-- Pméthodes d'enseignements -->
		<xsl:call-template name="tProgramFormOfTeaching"/>
		<!-- Presentation des stages et projets tutorés -->
		<xsl:call-template name="tProgramTrainingStrategy"/>
		<!-- Presentation Description des mots clés -->
		<h3><xsl:call-template name="tCommunGestionLibelle"><xsl:with-param name="pIdent" select="'libMotsCles'"/></xsl:call-template></h3>
		<xsl:apply-templates select="key('objet',$idP)/programDescription/infoBlock/*[@blockLang=$_lang or not(@blockLang)]/searchword"/>
		<xsl:call-template name="tProgramSearchword"/>
	</xsl:template>
</xsl:stylesheet>